<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:xwaffe-herstellerhaendler="http://www.xwaffe.de/schemata/herstellerhaendler/V2_5/"
           xmlns:xwaffe-kern="http://www.xwaffe.de/schemata/kern/V2_5/"
           targetNamespace="http://www.xwaffe.de/schemata/herstellerhaendler/V2_5/"
           version="2.5"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified">
   <xs:annotation>
      <xs:appinfo>
         <standard>
            <nameLang>XWaffe – Standard für die elektronische Datenübermittlung im deutschen Waffenwesen</nameLang>
            <nameKurz>XWaffe</nameKurz>
            <nameTechnisch>xwaffe</nameTechnisch>
            <kennung>urn:xoev-de:bmi:standard:xwaffe</kennung>
            <beschreibung>Zur Unterstützung der effizienten und wirtschaftlichen Umsetzung durchgehender medienbruchfreier elektronischer Prozesse im deutschen Waffenwesen wird der Standard XWaffe erstellt. Grundlage der Kommunikation ist das Waffengesetz (WaffG) sowie das Waffenregistergesetz (WaffRG), sowie die zugehörigen Rechtsverordnungen (WaffRGDV). Mit Stand des WaffG und WaffRG vom 01. September 2020 werden die Meldepflichten von Inhabern waffenrechtlicher Erlaubnisse gem. §21 Abs. 1 WaffG (Händler, Hersteller) sowie die Übermittlungsanlässe der Waffenebehörden an das Nationalen Waffenregisters (NWR) unterstützt.</beschreibung>
         </standard>
         <versionStandard>
            <version>2.5</version>
            <beschreibung>Zur Unterstützung der effizienten und wirtschaftlichen Umsetzung durchgehender medienbruchfreier elektronischer Prozesse im deutschen Waffenwesen wird der Standard XWaffe erstellt. Grundlage der Kommunikation ist das Waffengesetz (WaffG) sowie das Waffenregistergesetz (WaffRG), sowie die zugehörigen Rechtsverordnungen (WaffRGDV). Mit Stand des WaffG und WaffRG vom 01. September 2020 werden die Meldepflichten von Inhabern waffenrechtlicher Erlaubnisse gem. §21 Abs. 1 WaffG (Händler, Hersteller) sowie die Übermittlungsanlässe der Waffenebehörden an das Nationalen Waffenregisters (NWR) unterstützt.</beschreibung>
            <versionXOEVProfil>2.1.0_p3</versionXOEVProfil>
            <versionXOEVHandbuch>2.4.0</versionXOEVHandbuch>
            <versionXGenerator>3.0.1</versionXGenerator>
            <versionModellierungswerkzeug>19.0 SP3</versionModellierungswerkzeug>
            <nameModellierungswerkzeug>MagicDraw</nameModellierungswerkzeug>
         </versionStandard>
      </xs:appinfo>
   </xs:annotation>
   <xs:include schemaLocation="xwaffe-baukasten-herstellerhaendler.xsd"/>
   <xs:import schemaLocation="xwaffe-baukasten.xsd"
              namespace="http://www.xwaffe.de/schemata/kern/V2_5/"/>
   <xs:element name="verarbeitung.statusabfrage.1410">
      <xs:annotation>
         <xs:appinfo>
            <autor>IT-Systeme der Inhaber einer Erlaubnis nach §21 Absatz 1 Satz 1 WaffG</autor>
            <leser>Kopfstelle des NWR</leser>
         </xs:appinfo>
         <xs:documentation>Über die Nachricht verarbeitung.statusabfrage.1410 können Nutzer eine Liste der Transaktionen in einem abgegeben Transaktionsstatus abfragen. Hierduch kann insbesondere eine Liste der verabeiteten Transaktionen abgefragt werden, anstatt den Status jeder einzelnen Transaktion periodisch abzufragen.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:sequence>
            <xs:element name="kopf" type="xwaffe-herstellerhaendler:Meldungskopf">
               <xs:annotation>
                  <xs:documentation>Der Nachrichtenkopf umfasst allgemeine, technische Eigenschaften einer Nachricht, wie z.B. Erstellungszeitpunkt oder Tagesnachrichtenzähler.</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="angabenMeldepflichtiger"
                        type="xwaffe-herstellerhaendler:AngabenMeldepflichtiger">
               <xs:annotation>
                  <xs:documentation>Angaben zum Meldepflichtigen</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="verarbeitungsprofil"
                        type="xwaffe-herstellerhaendler:Verarbeitungsprofil">
               <xs:annotation>
                  <xs:documentation>Identifizierende Angaben zum Abruf von Transaktionen mit ihrem Verarbeitungsstatus</xs:documentation>
               </xs:annotation>
            </xs:element>
         </xs:sequence>
      </xs:complexType>
   </xs:element>
   <xs:element name="verarbeitung.verarbeitungsergebnis.1411">
      <xs:annotation>
         <xs:appinfo>
            <autor>IT-Systeme der Inhaber einer Erlaubnis nach §21 Absatz 1 Satz 1 WaffG</autor>
            <leser>Kopfstelle des NWR</leser>
         </xs:appinfo>
         <xs:documentation>Über die Nachricht verarbeitung.verarbeitungsergebnis.1411 können Nutzer das Ergebnis / den Verarbeitungsstand einer konkreten Transaktion abfragen. Jeder Nutzer ist zur Abfrage der Ergebnisse aller vorgehaltenen Transaktionen seines Meldepflichtigen berechtigt. Ergebnisse können von Nutzern beliebig oft abgefragt werden.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:sequence>
            <xs:element name="kopf" type="xwaffe-herstellerhaendler:Meldungskopf">
               <xs:annotation>
                  <xs:documentation>Der Nachrichtenkopf umfasst allgemeine, technische Eigenschaften einer Nachricht, wie z.B. Erstellungszeitpunkt oder Tagesnachrichtenzähler.</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="angabenMeldepflichtiger"
                        type="xwaffe-herstellerhaendler:AngabenMeldepflichtiger">
               <xs:annotation>
                  <xs:documentation>Angaben zum Meldepflichtigen</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="transaktionID" type="xwaffe-kern:String.transaktionID">
               <xs:annotation>
                  <xs:documentation>Transaktionsnummer der Meldung, für die der Verarbeitungsstand abgefragt wird.</xs:documentation>
               </xs:annotation>
            </xs:element>
         </xs:sequence>
      </xs:complexType>
   </xs:element>
   <xs:element name="verarbeitung.lesebestaetigung.1412">
      <xs:annotation>
         <xs:appinfo>
            <autor>IT-Systeme der Inhaber einer Erlaubnis nach §21 Absatz 1 Satz 1 WaffG</autor>
            <leser>Kopfstelle des NWR</leser>
         </xs:appinfo>
         <xs:documentation>Zur Bestätigung des Erhaltes eines Verarbeitungsergebnisses übermittelt der Hersteller-/Händler eine Lesebestätigung für die gelesenen Verarbeitungsergebnisse.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:sequence>
            <xs:element name="kopf" type="xwaffe-herstellerhaendler:Meldungskopf">
               <xs:annotation>
                  <xs:documentation>Der Nachrichtenkopf umfasst allgemeine, technische Eigenschaften einer Nachricht, wie z.B. Erstellungszeitpunkt oder Tagesnachrichtenzähler.</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="angabenMeldepflichtiger"
                        type="xwaffe-herstellerhaendler:AngabenMeldepflichtiger">
               <xs:annotation>
                  <xs:documentation>Angaben zum Meldepflichtigen</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="transaktionID"
                        maxOccurs="unbounded"
                        type="xwaffe-kern:String.transaktionID">
               <xs:annotation>
                  <xs:documentation>Transaktionsnummer der Meldung.</xs:documentation>
               </xs:annotation>
            </xs:element>
         </xs:sequence>
      </xs:complexType>
   </xs:element>
</xs:schema>
